Get a component version

View as Markdown
Gets a published version of a component.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

componentIdstringRequired
The component's ID.
versionIdstringRequired
The component version's ID.

Query parameters

includestringOptional

A comma-separated list of additional fields to include. Accepts the content value.

Response

Successful Response
idstringOptional
The component version's ID.
labelstringOptional
The component version's label.
urlstringOptionalformat: "uri"
The URL where the component version can be accessed.
formatstringOptional
The component version's content format.
publishedAtdatetimeOptional
The date and time at which the component version was published.
contentstringOptional

The version’s content. This returns when you include the include parameter.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error